---
updatedAt: 2025-06-12T23:58:48.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Update Webhook

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/webhooks/{id}": {
      "patch": {
        "summary": "Update Webhook",
        "description": "",
        "operationId": "update-webhook",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "description": {
                    "type": "string",
                    "description": "Optional description for the Webhook."
                  },
                  "events": {
                    "type": "array",
                    "description": "Events that you want to receive on the provided URL.",
                    "items": {
                      "type": "string"
                    }
                  },
                  "metadata": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ENABLED",
                      "DISABLED"
                    ]
                  },
                  "url": {
                    "type": "string",
                    "description": "URL on which you want to receive the events."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": \"whk_ejl2vpn1m305rxko6b\",\n    \"url\": \"https://webhook.site/0da05c1a-6978-4178-bee9-1cabb582ac3f\",\n    \"events\": [\n        \"PAYMENT.STATUS_UPDATED\",\n        \"INDIVIDUAL_END_USER.CREATED\",\n        \"PAYMENT.CREATED\",\n        \"FIAT_ACCOUNT.CREATED\",\n        \"FIAT_ACCOUNT.UPDATED\",\n        \"FIAT_ACCOUNT.STATUS_UPDATED\",\n        \"INDIVIDUAL_END_USER.STATUS_UPDATED\",\n        \"FIAT_ACCOUNT.BALANCE_UPDATED\"\n    ],\n    \"status\": \"ENABLED\",\n    \"description\": \"Fiat Republic Webhooks\",\n    \"createdAt\": 1637601761317,\n    \"updatedAt\": 1637601761317,\n    \"metadata\": null\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "whk_ejl2vpn1m305rxko6b"
                    },
                    "url": {
                      "type": "string",
                      "example": "https://webhook.site/0da05c1a-6978-4178-bee9-1cabb582ac3f"
                    },
                    "events": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "PAYMENT.STATUS_UPDATED"
                      }
                    },
                    "status": {
                      "type": "string",
                      "example": "ENABLED"
                    },
                    "description": {
                      "type": "string",
                      "example": "Fiat Republic Webhooks"
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1637601761317,
                      "default": 0
                    },
                    "updatedAt": {
                      "type": "integer",
                      "example": 1637601761317,
                      "default": 0
                    },
                    "metadata": {}
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request PATCH \\\n     --url https://sandbox.fiatrepublic.com/api/v1/webhooks/whk_ejl2vpn1m305rxko6b \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n{\n    \"events\": [\n        \"INDIVIDUAL_END_USER.CREATED\",\n        \"PAYMENT.CREATED\",\n        \"FIAT_ACCOUNT.CREATED\",\n        \"FIAT_ACCOUNT.UPDATED\",\n        \"FIAT_ACCOUNT.STATUS_UPDATED\",\n        \"INDIVIDUAL_END_USER.STATUS_UPDATED\",\n        \"FIAT_ACCOUNT.BALANCE_UPDATED\",\n        \"PAYMENT.STATUS_UPDATED\"\n    ]\n}\n'\n"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```